#include "..\script_component.hpp"

/*
 * Function: forge_client_bank_fnc_deposit
 * Author: IDSolutions
 *
 * [Description]
 * Deposits money into the bank
 *
 * Arguments:
 * None
 *
 * Return Value:
 * None
 *
 * Examples:
 * None
 *
 * Public: Yes
 */

private _amount = parseNumber (ctrlText IDC_AMOUNTINPUT);
private _bank = GETVAR(player,FORGE_Bank,0);
private _cash = GETVAR(player,FORGE_Cash,0);

if (_amount > 0 && _amount <= _cash) then {
    _cash = _cash - _amount;
    _bank = _bank + _amount;

    SETPVAR(player,FORGE_Bank,_bank);
    SETPVAR(player,FORGE_Cash,_cash);

    [] call FUNC(refresh);
    hint "Money deposited successfully";
} else {
    hint "Invalid amount";
};