# Forge Garage Module

## Overview
The Garage module provides a comprehensive vehicle management system for the Forge client. It includes features for storing, spawning, and managing vehicles in a garage environment.

## Dependencies
- forge_client_main

## Authors
- J. Schmidt
- Creedcoder
- IDSolutions

## Features

### Garage System
1. **Garage Initialization** (`fnc_initGarage.sqf`)
   - Initializes the garage system
   - Sets up necessary configurations and vehicle storage

2. **Garage Interface** (`fnc_openGarage.sqf`)
   - Opens the garage user interface
   - Provides access to vehicle management functions

3. **Vehicle Management**
   - **Spawn Vehicle** (`fnc_spawnVehicle.sqf`)
     - Handles vehicle spawning from garage
   - **Store Vehicle** (`fnc_storeVehicle.sqf`)
     - Manages vehicle storage in garage
   - **Fetch Garage** (`fnc_fetchGarage.sqf`)
     - Retrieves garage vehicle information
   - **Fetch Nearby** (`fnc_fetchNearby.sqf`)
     - Locates and manages nearby vehicles

## Event Handlers
The module uses several event handlers for initialization and execution:
- `XEH_preInit.sqf`: Pre-initialization setup
- `XEH_postInit.sqf`: Post-initialization tasks
- `XEH_preStart.sqf`: Pre-start configuration
- `XEH_postInit_client.sqf`: Client-specific post-initialization
- `XEH_preInit_server.sqf`: Server-specific pre-initialization

## Usage
To use the garage module:
1. Ensure the module is properly loaded in your mission
2. Access the garage through the provided UI
3. Manage vehicles using the appropriate functions
4. Monitor vehicle status and location

## Debugging
Debug mode can be enabled by uncommenting the following in `script_component.hpp`:
```cpp
#define DEBUG_MODE_FULL
```

## Version Information
Version information is managed through the main Forge client system configuration.