#include "..\script_component.hpp"

/*
 * Function: forge_client_medical_fnc_saveDroppedWeapons
 * Author: IDSolutions
 *
 * [Description]
 * Saves the unit's dropped weapons and items.
 *
 * Arguments:
 * 0: Unit <OBJECT>
 *
 * Return Value:
 * None
 *
 * Example:
 * [player] call forge_client_medical_fnc_saveDroppedWeapons;
 *
 * Public: Yes
 */

params ["_unit"];

private _droppedWeapons = [];
private _droppedItems = [];

_droppedWeapons pushBack (primaryWeapon _unit);
_droppedItems append (primaryWeaponItems _unit);
_droppedItems append (primaryWeaponMagazine _unit);
_droppedWeapons pushBack (secondaryWeapon _unit);
_droppedItems append (secondaryWeaponItems _unit);
_droppedItems append (secondaryWeaponMagazine _unit);

if (isPlayer _unit) then {
    _droppedItems pushBack (goggles _unit);
};

if (currentWeapon _unit == handgunWeapon _unit) then {
    _droppedWeapons pushBack (handgunWeapon _unit);
    _droppedItems append (handgunItems _unit);
    _droppedItems append (handgunMagazine _unit);
};

_unit setVariable [QGVAR(droppedWeapons), _droppedWeapons, true];
_unit setVariable [QGVAR(droppedItems), _droppedItems, true];