# Forge Service Module

## Overview
The Service module provides a comprehensive vehicle service system for the Forge client. It includes features for vehicle repair, refueling, rearming, and general maintenance.

## Dependencies
- forge_client_main

## Authors
- J. Schmidt
- Creedcoder
- IDSolutions

## Features

### Service System
1. **Service Initialization** (`fnc_initService.sqf`)
   - Initializes the service system
   - Sets up necessary configurations and service points

2. **Vehicle Maintenance**
   - **Repair** (`fnc_repair.sqf`)
     - Handles vehicle repair operations
   - **Refuel** (`fnc_refuel.sqf`)
     - Manages vehicle refueling
   - **Rearm** (`fnc_rearm.sqf`)
     - Handles vehicle rearming
   - **Fuel** (`fnc_fuel.sqf`)
     - Manages fuel system operations

3. **Vehicle Service** (`fnc_vehicle.sqf`)
   - Comprehensive vehicle service management
   - Coordinates different service operations

## Event Handlers
The module uses several event handlers for initialization and execution:
- `XEH_preInit.sqf`: Pre-initialization setup
- `XEH_postInit.sqf`: Post-initialization tasks
- `XEH_preStart.sqf`: Pre-start configuration
- `XEH_postInit_client.sqf`: Client-specific post-initialization
- `XEH_preInit_server.sqf`: Server-specific pre-initialization

## Usage
To use the service module:
1. Ensure the module is properly loaded in your mission
2. Access service points through the provided functions
3. Perform vehicle maintenance using the appropriate functions
4. Monitor vehicle status and service operations

## Debugging
Debug mode can be enabled by uncommenting the following in `script_component.hpp`:
```cpp
#define DEBUG_MODE_FULL
```

## Version Information
Version information is managed through the main Forge client system configuration. 